Bug 988124 - [abrt] tracker-0.16.1-4.el7: g_logv: Process /usr/libexec/tracker-store was killed by signal 5 (SIGTRAP)
[abrt] tracker-0.16.1-4.el7: g_logv: Process /usr/libexec/tracker-store was k...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tracker (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: 7.0
Assigned To: Debarshi Ray
Desktop QE
abrt_hash:40e1da56cedaf60aab7c7dbfcf4...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 15:16 EDT by Martin Milata
Modified: 2016-11-14 10:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-14 10:00:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.65 KB, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: core_backtrace (2.37 KB, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: dso_list (2.69 KB, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: environ (981 bytes, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: maps (15.22 KB, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: open_fds (833 bytes, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-07-24 15:16 EDT, Martin Milata
no flags Details

  None (edit)
Description Martin Milata 2013-07-24 15:16:20 EDT
Description of problem:
I was just copying some files when this happened.

Version-Release number of selected component:
tracker-0.16.1-4.el7

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: g_logv
executable:     /usr/libexec/tracker-store
kernel:         3.10.0-1.el7.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 24 21:14:18 dhcp-0-170 abrt[2828]: Saved core dump of pid 2102 (/usr/libexec/tracker-store) to /var/tmp/abrt/ccpp-2013-07-24-21:14:18-2102 (61870080 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 execute_stmt.constprop.19 at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #3 ensure_resource_id at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #4 resource_buffer_switch.isra.4 at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #5 tracker_data_insert_statement_common at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #6 tracker_data_insert_statement_with_uri at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #7 tracker_sparql_query_parse_construct_property_list_not_empty at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #8 tracker_sparql_query_execute_insert_or_delete at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #9 tracker_sparql_query_execute_update at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #10 update_sparql at /usr/lib64/tracker-0.16/libtracker-data.so.0
 #11 _tracker_store_pool_dispatch_cb_gfunc
Comment 1 Martin Milata 2013-07-24 15:16:24 EDT
Created attachment 777928 [details]
File: backtrace
Comment 2 Martin Milata 2013-07-24 15:16:26 EDT
Created attachment 777929 [details]
File: cgroup
Comment 3 Martin Milata 2013-07-24 15:16:29 EDT
Created attachment 777930 [details]
File: core_backtrace
Comment 4 Martin Milata 2013-07-24 15:16:32 EDT
Created attachment 777931 [details]
File: dso_list
Comment 5 Martin Milata 2013-07-24 15:16:35 EDT
Created attachment 777932 [details]
File: environ
Comment 6 Martin Milata 2013-07-24 15:16:37 EDT
Created attachment 777933 [details]
File: limits
Comment 7 Martin Milata 2013-07-24 15:16:41 EDT
Created attachment 777934 [details]
File: maps
Comment 8 Martin Milata 2013-07-24 15:16:44 EDT
Created attachment 777935 [details]
File: open_fds
Comment 9 Martin Milata 2013-07-24 15:16:46 EDT
Created attachment 777936 [details]
File: proc_pid_status
Comment 11 Martin Milata 2013-07-24 15:22:34 EDT
Actually, I was restoring home directory contents from backup and probably overwritten tracker's data while it was running. I'll close the bug as it's probably not reasonable to expect a program to tolerate this:)
Comment 12 Martin 2013-11-29 11:16:13 EST
I had same crash (according to ABRT) when testing Multiple Logins feature with following setup:

1. Install RHEL desktop on multiple virtual or bare metal machines.
2. Change string in: /etc/machine-id
3. Edit the /etc/dconf/profile/user file on every client. If one does not already exist, create it.
4. Add a line containing service-db:keyfile/user to the file and save your
5. Setup shared /home directory via NFS on each machine. Put the following line into /etc/fstab

nest.test.redhat.com:/mnt/qa/scratch/rhel7-gnome-shell-shared-home  /home  nfs  rw  0 0

6. Allow NFS home in SELinux: setsebool -P use_nfs_home_dirs 1

7. Create account with username "test" and password "redhat".

8. Add "export XDG_CONFIG_HOME=$HOME/$(< /etc/machine-id)" to: $HOME/.profile

9. Login to the Gnome Shell.
Comment 13 RHEL Product and Program Management 2014-03-22 02:43:23 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.